Subject: [TR] TR6 Exhaust

From: JT <[email-masked]>
Date: Mon, 2 Sep 2013 08:34:54 -0700

Hello Bill regarding your exhaust I have three TR6 cars One 1974 and two 1971
with three different exhaust systems I'm in Bakersfield and would welcome you
to hear all three of them and you could make your decision the exhaust was
done by John at Kings muffler in Bakersfield. My phone number is 661-900-5420.
JT

** [email-masked] **

Archive: http://www.team.net/archive